Stingy in Teaching 

A young physician in Tokyo named Kusuda met a college friend who had been studying Zen. The young doctor asked him what Zen was. 

"I cannot tell you what it is," the friend replied, "but one thing is certain. If you understand Zen, you will not be afraid to die."

"That's fine," said Kusuda. "I will try it. Where can I find a teacher?"

"Go to the master Nan-in," the friend told him. 

So Kusuda went to call on Nan-in. He carried a dagger nine and a half inches long to determine whether or not the teacher was afraid to die. 

When Nan-in saw Kusuda he exclaimed: "Hello, friend. How are you? We haven't seen each other for a long time!"

This perplexed Kusuda, who replied: "We have never met before."

"That's right," answered Nan-in. "I mistook you for another physician who is receiving instruction here."

With such a beginning, Kusuda lost his chance to test the master, so reluctantly he asked if he might receive Zen instruction. 

Nan-in said: "Zen is not a difficult task. If you are a physician, treat you patients with kindness. That is Zen."

Kusuda visited Nan-in three times. Each time Nan-in told him the same thing. "A physician should not waste time around here. Go home and take care of you patients."

It was not yet clear to Kusuda how such teaching could remove the fear of death. So on his fourth visit he complained: "My friend told me when one learns Zen one loses the fear of death. Each time I come here all you tell me is to take care of my patients. I know that much. If that is your so-called Zen, I am not going to visit you any more."

Nan-in smiled and patted the doctor. "I have been too strict with you. Let me give you a koan." He presented Kusuda with Joshu's Mu to work over, which is the first mind enlightening problem in the book called The Gateless Gate. 

Kusuda pondered this problem of Mu (No-Thing) for two years. At length he thought he had reached certainty of mind. But his teacher commented: "You are not in yet."

Kusuda continued in concentration for another year and a half. His mind became placid. Problems dissolved. No-Thing became the truth. He served his patients well and, without even knowing it, he was free from concern over life and death. 

Then when he visited Nan-in, his old teacher just smiled. 
